#!/bin/bash

autolabels=`p4 -F "%label% Rev:%Revision%" -ztag labels | grep -v "Rev:$" | sed -e "s/ Rev:.*//g"`

depotpath='//depot/source/...'

for l in $autolabels; do
	labcount=`p4 files $depotpath#1,@$l 2> /dev/null | wc -l` 

	if [ "$labcount" -gt "0" ]
		then p4 labels -e "$l"
	fi
done
